#### D.4.25.16 exportNuminvs

Procedure from library `normaliz.lib` (see normaliz_lib).

Usage:
  exportNuminvs();

Create:
  Creates top-level variables which contain the numerical invariants. Depending on the options of normaliz different invariants are calculated. Use showNuminvs ( showNuminvs) to see which invariants are available.

Example:

    LIB "normaliz.lib";
    ring R=0,(x,y,z,t),dp;
    ideal I=x3,x2y,y3;
    list l=intclMonIdeal(I);
    exportNuminvs();
    // for example, now the following variables are set:
    nmz_hilbert_basis_elements;
    ==> 7
    nmz_number_extreme_rays;
    ==> 5
    nmz_rank;
    ==> 4
    nmz_number_support_hyperplanes;
    ==> 5
    if (defined(nmz_multiplicity)) {nmz_multiplicity;}
    ==> 4
    else {nmz_multiplicity_num;}
    nmz_primary;
    ==> 0

See also: showNuminvs.

User manual for Singular version 4.4.1, 2025, generated by texi2html.